flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: Test12 - narrow radioaoctive decay chain, with transport switched enabled
    but with zero pressure gradient
  mesh:
    mesh_file: ../00_mesh/square_1x1_40el.msh
  flow_equation: !Flow_Darcy_MH
    output_specific:
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-07
    input_fields:
      - region: BULK
        conductivity: 1.0
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: 0
    output:
      fields:
        - pressure_p0
        - pressure_p1
        - velocity_p0
    balance: {}
    output_stream:
      file: ./dual_por_flow.pvd
      format: !vtk
        variant: ascii
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_Advection_FV
      input_fields:
        - region: BULK
          init_conc:
            - 1.0
          porosity: 0.5
    substances:
      - A
    time:
      end_time: 10
      # init_dt:1.0
    solver: !Petsc
      a_tol: 1.0e-07
      r_tol: 1.0e-07
      # options:"-ksp_type gmres -ksp_monitor"
    reaction_term: !DualPorosity
      input_fields:
        - time: 0.0
          region: ALL
          diffusion_rate_immobile:
            - 0.0
          porosity_immobile: 0.1
          init_conc_immobile:
            - 0.01
        - time: 3.0
          region: BULK
          porosity_immobile: 0.2
        - time: 4.0
          region: BULK
          diffusion_rate_immobile:
            - 0.001
        - time: 6.0
          region: BULK
          diffusion_rate_immobile: !FieldFormula
            value: if(t>=7.0,0.01,0.001)
          porosity_immobile: !FieldFormula
            value: if(t>8.0,0.5,0.2)
          # change porosity
      output:
        fields:
          - conc_immobile
          - porosity_immobile
    balance:
      cumulative: true
    output_stream:
      file: dual_por_transport.pvd
      format: !vtk
        variant: ascii
# problem
      times:
        - step: 1.0